# Class DisputesClient

#### Hierarchy

- DisputesClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:581

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetDispute
methodDescriptorGetDisputes
methodDescriptorOpenDispute
methodDescriptorResolveDispute
methodDescriptorSendDisputeChatMessage
options_

### Methods

getDispute
getDisputes
openDispute
resolveDispute
sendDisputeChatMessage

## Constructors

### constructor

- new DisputesClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): DisputesClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns DisputesClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:587

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:582

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:584

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:583

### methodDescriptorGetDispute

methodDescriptorGetDispute: MethodDescriptor<GetDisputeRequest, GetDisputeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:600

### methodDescriptorGetDisputes

methodDescriptorGetDisputes: MethodDescriptor<GetDisputesRequest, GetDisputesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:643

### methodDescriptorOpenDispute

methodDescriptorOpenDispute: MethodDescriptor<OpenDisputeRequest, OpenDisputeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:686

### methodDescriptorResolveDispute

methodDescriptorResolveDispute: MethodDescriptor<ResolveDisputeRequest, ResolveDisputeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:729

### methodDescriptorSendDisputeChatMessage

methodDescriptorSendDisputeChatMessage: MethodDescriptor<SendDisputeChatMessageRequest, SendDisputeChatMessageReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:772

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:585

## Methods

### getDispute

- getDispute(request: GetDisputeRequest, metadata?: null | Metadata): Promise<GetDisputeReply>

- #### Parameters

  - ##### request: GetDisputeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:611
- getDispute(request: GetDisputeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetDisputeReply) => void)): ClientReadableStream<GetDisputeReply>

- #### Parameters

  - ##### request: GetDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetDisputeReply) => void)

    - - (err: RpcError, response: GetDisputeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetDisputeReply

        #### Returns void

  #### Returns ClientReadableStream<GetDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:615

### getDisputes

- getDisputes(request: GetDisputesRequest, metadata?: null | Metadata): Promise<GetDisputesReply>

- #### Parameters

  - ##### request: GetDisputesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetDisputesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:654
- getDisputes(request: GetDisputesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetDisputesReply) => void)): ClientReadableStream<GetDisputesReply>

- #### Parameters

  - ##### request: GetDisputesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetDisputesReply) => void)

    - - (err: RpcError, response: GetDisputesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetDisputesReply

        #### Returns void

  #### Returns ClientReadableStream<GetDisputesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:658

### openDispute

- openDispute(request: OpenDisputeRequest, metadata?: null | Metadata): Promise<OpenDisputeReply>

- #### Parameters

  - ##### request: OpenDisputeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<OpenDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:697
- openDispute(request: OpenDisputeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: OpenDisputeReply) => void)): ClientReadableStream<OpenDisputeReply>

- #### Parameters

  - ##### request: OpenDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: OpenDisputeReply) => void)

    - - (err: RpcError, response: OpenDisputeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: OpenDisputeReply

        #### Returns void

  #### Returns ClientReadableStream<OpenDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:701

### resolveDispute

- resolveDispute(request: ResolveDisputeRequest, metadata?: null | Metadata): Promise<ResolveDisputeReply>

- #### Parameters

  - ##### request: ResolveDisputeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<ResolveDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:740
- resolveDispute(request: ResolveDisputeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: ResolveDisputeReply) => void)): ClientReadableStream<ResolveDisputeReply>

- #### Parameters

  - ##### request: ResolveDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: ResolveDisputeReply) => void)

    - - (err: RpcError, response: ResolveDisputeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ResolveDisputeReply

        #### Returns void

  #### Returns ClientReadableStream<ResolveDisputeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:744

### sendDisputeChatMessage

- sendDisputeChatMessage(request: SendDisputeChatMessageRequest, metadata?: null | Metadata): Promise<SendDisputeChatMessageReply>

- #### Parameters

  - ##### request: SendDisputeChatMessageRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SendDisputeChatMessageReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:783
- sendDisputeChatMessage(request: SendDisputeChatMessageRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SendDisputeChatMessageReply) => void)): ClientReadableStream<SendDisputeChatMessageReply>

- #### Parameters

  - ##### request: SendDisputeChatMessageRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SendDisputeChatMessageReply) => void)

    - - (err: RpcError, response: SendDisputeChatMessageReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendDisputeChatMessageReply

        #### Returns void

  #### Returns ClientReadableStream<SendDisputeChatMessageReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:787

Generated using TypeDoc